%global monoprefix %{_prefix}/lib

Summary: A wrist friendly language for the CLI/Mono
Name: boo
Version: 0.9.7.0
Release: %mkrel 1
License: BSD
Group: Development/Other
Source0: https://github.com/bamboo/boo/archive/alpha.tar.gz
Patch0: boo-pkgconfig_path_fix.patch
URL: http://boo.codehaus.org/
Requires: mono
BuildRequires: nant
BuildRequires: shared-mime-info
#gw for the boo.lang location
BuildRequires:  gtksourceview2-devel >= 1.90
BuildConflicts: boo < %version
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
BuildArch: noarch

%description
Boo is a new object oriented statically typed programming language for
the Common Language Infrastructure with a python inspired syntax and
a special focus on language and compiler extensibility.

%package nant
Summary: Nant task for building boo programs
Group: Development/Other

%description nant
Boo is a new object oriented statically typed programming language for
the Common Language Infrastructure with a python inspired syntax and
a special focus on language and compiler extensibility.

This is a Nant task for building boo sources.

%package examples
Summary: Examples files for boo
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description examples
Examples files for boo
 
%prep
%setup -q -n %{name}-alpha
%patch0 -p1 -b .pc-original

# fix end-of-line encoding
perl -pi -e 's/\r//' $(find examples/ -type f)

# Get rid of prebuilt dll files
rm -rf bin/*.dll bin/pt/*.dll
rm -rf bin/*.exe bin/pt/*.exe
rm -rf bin/*.config bin/pt/*.config

# Fix gtksourceview version
sed -i "s#gtksourceview-1.0#gtksourceview-2.0#g" default.build

# Temporary workaround: disable verification of assemblies because pedump currently segfaults on Rawhide
sed -i 's#<call target="verify-assemblies" />##g' default.build

%build
nant -D:install.prefix=%{_prefix} -D:docs.dir=%{_defaultdocdir} -D:install.booexamples=%{_datadir}/%{name}/examples

%install
nant -f:default.build install -D:install.prefix=%{_prefix} -D:install.destdir=%{buildroot} -D:docs.dir=%{_defaultdocdir} -D:install.booexamples=%{_datadir}/%{name}/examples

# Prevent conflict with gtksourceview2 rpm
rm -rf %{buildroot}%{_datadir}/gtksourceview*

# Remove Boo.NAnt.Tasks.dll for version problem with NAnt.Core.dll
rm $RPM_BUILD_ROOT%{monoprefix}/boo/Boo.NAnt.Tasks.dll

#gw fix pkgconfig location
mv %{buildroot}%{_prefix}/lib/pkgconfig  %{buildroot}%{_datadir}/pkgconfig

%files
%exclude /usr/share/doc/boo/license.txt
%exclude /usr/share/doc/boo/todo.txt
%exclude /usr/share/doc/boo/version.txt
%doc notice.txt README.md docs/BooManifesto.sxw
%license license.txt
%{monoprefix}/boo*/
%dir %{_monodir}/boo
%{_monodir}/boo/*.dll
%{_monogacdir}/Boo*/
%{_bindir}/boo*
%{_datadir}/mime-info/boo.*
%{_datadir}/mime/packages/boo-mime-info.xml
%{_datadir}/pkgconfig/boo.pc

%files nant
#{_prefix}/lib/boo/Boo.NAnt.Tasks.dll

%files examples
%{_datadir}/%{name}/examples/*


%changelog
* Mon Dec 28 2015 tv <tv> 0.9.7.0-1.mga6
+ Revision: 916593
- adjust file list
- add examples subpackage
- adjust file list
- adjust doc list
- use %%license
- define monoprefix
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4.9-6.mga5
+ Revision: 745279
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4.9-5.mga5
+ Revision: 678197
- Mageia 5 Mass Rebuild

* Thu Jan 09 2014 spuhler <spuhler> 0.9.4.9-4.mga4
+ Revision: 565734
- <it now builds again after nant update to nant-0.92-4.mga4. Banshee-community-extension requires it.
- added some patches from upstream
 * removed <copy todir="${fakeroot.boolib}/pt"> section
 * this dir doesn't exist and didn't exist in mga3
- added mono-2.0.patch file

  + pterjan <pterjan>
    - Retire broken package, only used optionnaly by banshee

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.4.9-2.mga3
+ Revision: 347049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 03 2011 ahmad <ahmad> 0.9.4.9-1.mga2
+ Revision: 117548
- Update to 0.9.4.9
- Clean the spec and sync with Mandriva
- BR gtksourceview2-devel
- Drop patch0 (novs2005)

* Thu Mar 24 2011 boklm <boklm> 0.9.3-3.mga1
+ Revision: 76132
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.9.3-2.mga1
+ Revision: 72717
+ rebuild (emptylog)

* Wed Mar 16 2011 ennael <ennael> 0.9.3-1.mga1
+ Revision: 72627
- remove unneeded mv
- clean spec file
- imported package boo

